Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.man.cs.img.owl.io.fact
Class Renderer

    java.lang.Object
      |
      +--uk.ac.man.cs.img.owl.io.fact.Renderer

All Implemented Interfaces:
  Options, Renderer, ShortFormProvider

public class Renderer
extends Object
implements Renderer, ShortFormProvider

Constructor Summary
`Renderer()`

Method Summary
`Map` | `getOptions()` Get options for the object.
`static void` | `main(String[] args)`
`void` | `renderOntology(OWLOntology ontology, Writer writer)` Render the given ontology onto the writer using an appropriate concrete representation
`void` | `setOptions(Map map)` Set options for the object.
`String` | `shortForm(URI uri)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Renderer

    public Renderer()

Method Detail

### setOptions

    public void setOptions(Map map)

  Description copied from interface: `Options`
  Set options for the object.

  Specified by:
    `setOptions` in interface `Options`
  Parameters:
    `map` - a `Map` value. Should contain a map from `String`s to `Object`s.

### getOptions

    public Map getOptions()

  Description copied from interface: `Options`
  Get options for the object.

  Specified by:
    `getOptions` in interface `Options`
  Returns:
    a `Map` value. Contains a map from `String`s to `Object`s.

### renderOntology

    public void renderOntology(OWLOntology ontology,
                               Writer writer)
                        throws RendererException

  Description copied from interface: `Renderer`
  Render the given ontology onto the writer using an appropriate concrete representation

  Specified by:
    `renderOntology` in interface `Renderer`
    `RendererException`

### shortForm

    public String shortForm(URI uri)

  Specified by:
    `shortForm` in interface `ShortFormProvider`

### main

    public static void main(String[] args)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WonderWeb